- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgDB::basic_type_wrapper Struct Reference

basic structure for custom runtime inheritance checking More...

Inheritance diagram for osgDB::basic_type_wrapper:

[legend]
List of all members.

## Public Member Functions
virtual bool | matches (const osg::Object *proto) const =0

## Detailed Description

basic structure for custom runtime inheritance checking

## Member Function Documentation

virtual bool osgDB::basic_type_wrapper::matches | ( | const osg::Object * | proto | ) | const`[pure virtual]`

| Implemented in osgDB::type_wrapper< T >.

The documentation for this struct was generated from the following file:

- osgDB/Registry